import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int k = nextInt();
        long mas[] = new long[n];
        for (int i = 0; i < n; i++) {
            mas[i] = nextInt();
        }
        long pref[] = new long[n];
        pref[0] = mas[0];
        for (int i = 1; i < n; i++) {
            pref[i] = pref[i - 1] + mas[i];
        }
        int otrezok = n - k;
        long ans = 0;
        long sum = pref[otrezok];
        ans = sum;
        long min = Long.MAX_VALUE;
        for (int i = otrezok+1; i < n; i++) {
            min=Math.min(min, mas[i]);
        }
        for (int i = 1; otrezok + i < mas.length; i++) {
            sum = pref[otrezok + i] - pref[i - 1];
            for (int j = otrezok + i + 1; j < mas.length; j++) {
                min = Math.min(mas[j], min);
            }
            for (int j = 0; j < i; j++) {
                min = Math.min(mas[j], min);
            }
            ans = Math.max(ans, sum-min);
        }
        System.out.println(ans);
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}