import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        long d = nextLong();
        long l = nextLong();
        long r = nextLong();
        TreeSet<Long> set = new TreeSet<>();
        for (long i = 1; i <= (long) Math.sqrt(d); i++) {
            if (d % i == 0) {
                set.add(i);
            }
        }
        long ans = 0;
        for (int i = 0; !set.isEmpty(); i++) {
            long a = set.first();
            long b = d / a;
            long x = (a + b) / 2;
            long y = x - set.first();
            if (x == y) {
                set.pollFirst();
                continue;
            }
            if (l<= y*y && y*y<x*x && x*x<=r) {
                ans++;
            }
            set.pollFirst();
        }
        System.out.println(ans);
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}